Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gentoo for Amlogic S9xx (TV box S905\S905X\S912)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  
Reply to topic    Gentoo Forums Forum Index Gentoo on ARM
View previous topic :: View next topic  
Author Message
fanthom
n00b
n00b


Joined: 31 May 2007
Posts: 58

PostPosted: Sun Feb 11, 2018 12:19 pm    Post subject: Reply with quote

@mDup
Yes - I given up with upstream kernel for now. Will use 3.14.29 kernel from LibreELEC till upstream support gets better.

BTW: I even mailed BayLibre (they seems to maintain most of Amlogic code in the kernel) and asked them if they would be interested in Kickstarter campaign like Bootlin did for Allwinner VPU support:
https://www.kickstarter.com/projects/bootlin/allwinner-vpu-support-in-the-official-linux-kernel

Would be happy to pledge some money myself. Sadly i got no response ....
I guess we can only wait.

Thanks
Back to top
View user's profile Send private message
erm67
Apprentice
Apprentice


Joined: 01 Nov 2005
Posts: 200
Location: somewhere in Renziland.

PostPosted: Wed Feb 14, 2018 8:51 pm    Post subject: Reply with quote

I don't know what box you own, and how propense you are to risk, but there might be another option:
the official 4.9 kernel from amlogic.
It is shipped with boxes that run Android 7, the board inside them is (most of the times) identical to that of boxes running Android 6 but with a different firmware. If your box came with Android <7 the 4.9 kernel might or might not boot with th old firmware, hdmi won't almost certainly work.
Well it is unlikely that the vendor offers upgrades to Andoid 7 for your box, but if look carefully in some questionable forums you might find that someone has cooked an Andoid 7 update of dubious provenance for your box. If you are lucky enough to update the box (and the firmware) to Android 7 you can use kernel 4.9, which is certainly a big upgrade over 3.14.xx.
Needless to say the probability that you brick your box upgrading the firmware is very high :-) but you will certainly be able to use kernel 4.9 if you do, just buy a new box that ships with Android 7 if you brick it :lol: :lol:

just booting the 4.9 on the old firmware should be safe instead, but remember hdmi will almost certainly not work..

Use the khadas VIM2 git for the 4.9 Amlogic kernel.
_________________
True ignorance is not the absence of knowledge, but the refusal to acquire it.
A posse ad esse non valet consequentia
Πάντα ῥεῖ
Back to top
View user's profile Send private message
fanthom
n00b
n00b


Joined: 31 May 2007
Posts: 58

PostPosted: Thu Feb 15, 2018 9:29 pm    Post subject: Reply with quote

@erm67
My box is running Android 7 by default so i have high hopes.
Will try 4.9 kernel now :)

Thank you for the tip.
Back to top
View user's profile Send private message
erm67
Apprentice
Apprentice


Joined: 01 Nov 2005
Posts: 200
Location: somewhere in Renziland.

PostPosted: Fri Feb 16, 2018 12:41 am    Post subject: Reply with quote

Use the latest original dtb (or none) first.
_________________
True ignorance is not the absence of knowledge, but the refusal to acquire it.
A posse ad esse non valet consequentia
Πάντα ῥεῖ
Back to top
View user's profile Send private message
fanthom
n00b
n00b


Joined: 31 May 2007
Posts: 58

PostPosted: Fri Feb 16, 2018 12:42 pm    Post subject: Reply with quote

I have S905W box (and kvim2 is S912) so i tried latest firmware for vim1:
http://docs.khadas.com/basics/FirmwareResources/
http://www.mediafire.com/file/85n5qnc9om0xg3t/VIM_Ubuntu-mate-16.04_Linux-4.9_SD-USB_V180207.7z

HDMI does not work.
I also tried Armbian with same kernel version by balbes150 and got same result.

Without dtb booting does not start.

Thanks
Back to top
View user's profile Send private message
erm67
Apprentice
Apprentice


Joined: 01 Nov 2005
Posts: 200
Location: somewhere in Renziland.

PostPosted: Fri Feb 16, 2018 9:16 pm    Post subject: Reply with quote

The kernel is the same for all Amlogic chipsets, but I cannot find the sources for 4.9 anymore in the khadas git, maybe they switched back to 3.14?

The dtb required is the original from your vendor, not from the opensource linux meson.

Without a serial is very hard to know what is going on :-)

Wait at least 10 minutes and try to see if the eth gets an IP from the dhcp server and comes up (answers to ping) wait some more time and the ssh port should be open.

Maybe an S905X dtb will work (some people uses it with libreelec)

https://sx05.eu/s905/8.2/device_trees/S905X/

kernel 4.9 uses the same dtb.

I see that S905W is a bit problematic
_________________
True ignorance is not the absence of knowledge, but the refusal to acquire it.
A posse ad esse non valet consequentia
Πάντα ῥεῖ
Back to top
View user's profile Send private message
balbes150
n00b
n00b


Joined: 03 Dec 2016
Posts: 8

PostPosted: Sat Feb 17, 2018 8:01 am    Post subject: Reply with quote

erm67 wrote:
but I cannot find the sources for 4.9 anymore in the khadas git, maybe they switched back to 3.14?



kernel 4.9 uses the same dtb.



1.

branch 4.9
https://github.com/khadas/linux/tree/ubuntu-4.9

2.
The structure of the dtb in the kernel 4.9 different from 3.14. Files from 3.14 are not suitable for 4.9
Back to top
View user's profile Send private message
erm67
Apprentice
Apprentice


Joined: 01 Nov 2005
Posts: 200
Location: somewhere in Renziland.

PostPosted: Sat Feb 17, 2018 8:04 pm    Post subject: Reply with quote

Ahh thank you, but it got only one commit in the last few months...... apart the dts of course.

It locks randomly after a while, I was hoping for some real development :-)
Unless the problem was really fs/aufs/vdir.c

I guess I stay with 3.14 until things improve, the few syscalls missing are not blockers yet.
_________________
True ignorance is not the absence of knowledge, but the refusal to acquire it.
A posse ad esse non valet consequentia
Πάντα ῥεῖ
Back to top
View user's profile Send private message
fanthom
n00b
n00b


Joined: 31 May 2007
Posts: 58

PostPosted: Sun Feb 18, 2018 9:22 am    Post subject: Reply with quote

Got no IP assigned but i guess that system must be setup first (at least its the Armbian case).
Lack of HDMI is a deal breaker anyway. Going back to 3.14.29 as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on ARM All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7
Page 7 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum